apiMyListings
QueryKey requiredShop API: the state of every listed SKU, oldest change first. Poll with updatedSince and the last nextCursor; nothing is missed between two polls.
Arguments
| Name | Type | Description |
|---|---|---|
| cursor | String | |
| limit | Int | |
| skus | [String!] | |
| updatedSince | DateTime |
Returns
Example
query ApiMyListings($cursor: String, $limit: Int, $skus: [String!], $updatedSince: DateTime) {
apiMyListings(cursor: $cursor, limit: $limit, skus: $skus, updatedSince: $updatedSince) {
items {
availableQty
buyBox
draftId
mediaState
missingFields
offerId
priceMillimes
productId
sku
state
updatedAt
variantId
wamiaSku
}
nextCursor
}
}curl -sS https://api.wamia.tn/connect/graphql \
-H 'content-type: application/json' \
-H 'x-api-key: wamia_…' \
-H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
-H 'wamia-idempotency-key: 6f0e1a2b-…' \
--data '{"query":"query ApiMyListings($cursor: String, $limit: Int, $skus: [String!], $updatedSince: DateTime) { apiMyListings(cursor: $cursor, limit: $limit, skus: $skus, updatedSince: $updatedSince) { items { availableQty buyBox draftId mediaState missingFields offerId priceMillimes productId sku state updatedAt variantId wamiaSku } nextCursor } }"}'